PCP-BUDDYINFO(1)

NAME
pcp-buddyinfo - report Linux kernel buddy algorithm statistics

SYNOPSIS
pcp [pcp options] buddyinfo [-uVz?] [-s samples] [-a archive] [-Z timezone]

DESCRIPTION
The pcp-buddyinfo command is used for viewing different stats related to buddyinfo. It helps users analyze the dynamic behaviour of the buddy algorithm used in the Linux kernel virtual memory subsystem. The information includes the total number of zones that are currently active, counts of different order pages, and so on. By default, pcp-buddyinfo reports live data for the local host.

The statistics shown are as follows:

HEADER DESCRIPTION
_ _
Normal zones available
Nodes available nodes
Order0 available pages of order 0
Order1 available pages of order 1
Order2 available pages of order 2
Order3 available pages of order 3
Order4 available pages of order 4
Order5 available pages of order 5
Order6 available pages of order 6
Order7 available pages of order 7
Order8 available pages of order 8
Order9 available pages of order 9
Order10 available pages of order 10

Each column represents the number of pages of a certain order (a certain size) that are available at any given time. For example, for zone DMA (direct memory access), there are 90 of 2^(0*PAGE_SIZE) chunks of memory. Similarly, there are 6 of 2^(1*PAGE_SIZE) chunks, and 2 of 2^(2*PAGE_SIZE) chunks of memory available.

The DMA row references the first 16 MB on a system, the HighMem row references all memory greater than 4 GB on a system, and the Normal row references all memory in between.

OPTIONS

-a file, --archive=file
    Fetch buddyinfo metrics from the specified PCP archive.

-s count, --samples=count
    Limit reporting to count samples of buddyinfo statistics.

-u, --no-interpol
    disable the default interpolation mode when replaying an archive. With the -u option, interpolated reporting is disabled and each sample is reported according to native sampling intervals in the archive. In this mode the -t option is ignored. Additionally, non-interpolated replay makes sense only when replaying an archive (using the -a option described above), so the -a option is mandatory when -u is specified.

-z, --hostzone
    Use the local timezone of the host that is the source of the performance metrics, as identified by either the -h or the -a options. The default is to use the timezone of the local host.

-Z timezone, --timezone=timezone
    Use timezone for the date and time. Timezone is in the format of the environment variable TZ as described in environ(7).

-V, --version
    Display version number and exit.

-?, --help
    Display usage message and exit.

NOTES
pcp-buddyinfo reports information extracted from the /proc/buddyinfo Linux kernel procfs file.

If the default interpolation mode is disabled, it is possible that some metrics (recorded at different intervals) will be reported as having missing values for some samples even if they were recorded.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3).

SEE ALSO
PCPIntro(1), pcp(1), pmGetOptions(3), pcp.conf(5) and environ(7).